summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tomka@gentoo.org>2015-12-12 06:14:03 +0100
committerThomas Kahle <tomka@gentoo.org>2015-12-12 06:14:54 +0100
commit7980335cc8c2ec31e4775a1e328b70367c3be0ed (patch)
tree11131857ee9fd3ed347249a3ee920974df4abd67 /app-misc/anki
parentgames-emulation/dolphin - Bumps to version 5.0 (diff)
downloadgentoo-7980335cc8c2ec31e4775a1e328b70367c3be0ed.tar.gz
gentoo-7980335cc8c2ec31e4775a1e328b70367c3be0ed.tar.bz2
gentoo-7980335cc8c2ec31e4775a1e328b70367c3be0ed.zip
app-misc/anki: Bump to 2.0.33
Fixes bug 567958. Package-Manager: portage-2.2.24
Diffstat (limited to 'app-misc/anki')
-rw-r--r--app-misc/anki/Manifest1
-rw-r--r--app-misc/anki/anki-2.0.33.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/app-misc/anki/Manifest b/app-misc/anki/Manifest
index bea9e6f8013..6e27e75b8bb 100644
--- a/app-misc/anki/Manifest
+++ b/app-misc/anki/Manifest
@@ -1,2 +1,3 @@
DIST anki-2.0.31.tgz 3329290 SHA256 4b969629255b00db9a9eb8a2fd70271cc41c92c47752eb1c78e8609ff025be2f SHA512 3e6e29247d83b026ece6974007c848822360a812838dbb718cf3f1423fc9d015236b027944cd99f3b419e0fe4fe6cb2390d185f00646af727ec8e76f4aa3cbb8 WHIRLPOOL 42b1ecf2cc856c15ad1fe690d45e8051a8b79ef0b850e701a6a8a510a56cc4e6711bf4c8acc8ae9add7a3c761788005979c9a6398a71e1b28c9821043d5f6053
DIST anki-2.0.32.tgz 3353186 SHA256 398f00d9ab7da811548813e19b6da192f07d5c1c7e4486de508040ecc1abb93c SHA512 a65a529121e8d6ca53b29ef3b22d432b48884c28ef5b2422f0c813069f5889469e0545951f6789aa883a411572419e7175364320a18a7cfc1582f5fa98b837d3 WHIRLPOOL 204a8761bbafd87bddf9aecad867eb9705c72d6e8f1c7b6f050d893db3e9d4d58d047597f0e079cfd502b89095fedd17d1581c3be8cd833d2a18a37fb90fb262
+DIST anki-2.0.33.tgz 3376646 SHA256 b9fe2c35a68e90f3fa31f5c67f3447a7e1033d1c909baa381a1525ce5e71b9b4 SHA512 ac2df1ac94e5aa4cc04c17d41b8f96788b5f321860bc20b4a167d5ee0161ca4f7f586fda08ac9910a706ec3e7d1bd692d2e74f3de56997c9ce480122396e0d6d WHIRLPOOL fdddc9c51f2226373bdf5c6547a3b643b94aac37d68cf1e1430ee9355d4f5b11ae3e4cca218d65e7a76a0921f8d2e3e0676c2022aef4e49998e596531ce93848
diff --git a/app-misc/anki/anki-2.0.33.ebuild b/app-misc/anki/anki-2.0.33.ebuild
new file mode 100644
index 00000000000..51896953783
--- /dev/null
+++ b/app-misc/anki/anki-2.0.33.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit eutils python-single-r1
+
+DESCRIPTION="A spaced-repetition memory training program (flash cards)"
+HOMEPAGE="http://ichi2.net/anki/"
+SRC_URI="http://ankisrs.net/download/mirror/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex +recording +sound"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/PyQt4[X,svg,webkit]
+ >=dev-python/httplib2-0.7.4
+ dev-python/beautifulsoup:python-2
+ dev-python/send2trash
+ recording? ( media-sound/lame
+ >=dev-python/pyaudio-0.2.4 )
+ sound? ( media-video/mplayer )
+ latex? ( app-text/texlive
+ app-text/dvipng )"
+DEPEND=""
+
+pkg_setup(){
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ rm -r thirdparty || die
+ sed -i -e "s/updates=True/updates=False/" \
+ aqt/profiles.py || die
+}
+
+# Nothing to configure or compile
+src_configure() {
+ true;
+}
+
+src_compile() {
+ true;
+}
+
+src_install() {
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+ doman ${PN}.1
+
+ dodoc README README.development
+ python_domodule aqt anki
+ python_doscript anki/anki
+
+ # Localization files go into the anki directory:
+ python_moduleinto anki
+ python_domodule locale
+}